@charset "utf-8";

/*========= ナビゲーションのためのCSS ===============*/
@font-face {
 font-family:'Zen Kaku Gothic New Medium';
 src: url('https://since2023.sakuragarden.pro/wp-content/themes/sakuragarden023/font/ZenKakuGothicNew-Medium.ttf') format('truetype');
}

#g-nav{
position:fixed;
z-index: -1;
opacity: 0;
top:0;
width:100%;
height: 100vh;
background:#fffffff0;/*#ece8e0f0;*/
transition: all 0.3s;
display: flex;
}

/*アクティブクラスがついたら透過なしにして最前面へ*/
#g-nav.panelactive{
opacity: 1;
z-index:999;
position:fixed;
}

/*ナビゲーションの縦スクロール*/
#g-nav.panelactive #g-nav-list{
 position: fixed;
 z-index: 999; 
 width: 100%;
 height: 100vh;
 /*overflow: auto;*/
 -webkit-overflow-scrolling: touch;
}
.g-nav-flex{
 width:100%;
 margin-top:10%;
 display: flex;
 flex-direction: row-reverse;
 justify-content: center;
}

#g-nav ul {
 display: none;
 z-index: 999;
 border: 0px solid red;
}
#g-nav.panelactive ul {
 display: block;
 
}
 
/*リストのレイアウト設定*/
#g-nav li{
 text-align: left; 
 list-style: none;
 align-self: stretch;
 line-height: 5rem;
 padding-left: 5rem;
 font-size: 1.8rem;
 text-decoration: none;
 text-transform: uppercase;
 letter-spacing: 0.1em;
 font-weight: bold;
 display: block;
}
#g-nav.panelactive li{
 animation-name:gnaviAnime;
 animation-duration:1s;
 animation-delay:.2s;/*0.2 秒遅らせて出現*/
 animation-fill-mode:forwards;
 opacity:0;
 
 }
 @keyframes gnaviAnime{
 0% {
 opacity: 0;
 }
 100% {
 opacity: 1;
 }
}
#g-nav li a{
color: #826841;
position: relative;
display: inline-block;
text-decoration: none;
padding-left: 3.2rem;
}

 #g-nav li a::before {
   content: '';
   width: 6px;
   height: 6px;
   border: 0;
   border-top: solid 2px #b49d7c;
   border-right: solid 2px #b49d7c;
   position: absolute;
   top: 50%;
   left: 0;
   margin-top: -4px;
   transform: rotate(45deg);
 }

#g-nav li a:after {
 position: absolute;
 bottom: 4px;
 left: 3.2rem;
 content: '';
 width: 80%;
 height: 1px;
 background: #aa8a5a;
 transform: scale(0, 1);
 transform-origin: center top;
 transition: transform .3s;
}
/*ホバー時*/
#g-nav li a:hover::after {
 transform: scale(1, 1);

 
}
#g-nav li a:hover::before{
 -webkit-transition: all 0.2s ease-in;
 -moz-transition: all 0.2s ease-in;
 -o-transition: all 0.2s ease-in;
 transition: all  0.2s ease-in;
 transform: rotate(45deg);
 margin-left:0.4rem;
}
#g-nav li.categories{
 margin-left:10%;
 font-size:1.6rem;
 line-height: 3.5rem;
}

#g-nav li.categories a::before {
 content: '';
 width: 4px;
 height: 4px;
 border: 0;
 border-top: solid 1px #b49d7c;
 border-right: solid 1px #b49d7c;
 position: absolute;
 top: 50%;
 left: 0;
 margin-top: -3px;
 transform: rotate(45deg);
}
#g-nav li.categories a{
color: #826841;
position: relative;
  display: inline-block;
  text-decoration: none;
  padding-left: 1.6rem;
 }
 #g-nav li.categories a:after {
  width: 0;
  height: 0;
 }
#g-nav .title {
 border: 0px solid blue;
 animation-name:gnaviAnime;
 animation-duration:1.5s;
 animation-delay:.5s;/*0.2 秒遅らせて出現*/
 animation-fill-mode:forwards;
 opacity:0;
 text-align: center;
}
#g-nav .title h2 {
 font-family: "クラフト明朝", sans-serif;
 font-weight: 500;
 font-style: normal;
 color: #745d3b;
 font-size: 5rem;
 line-height: 5rem;
}
#g-nav .title img{
max-width:450px;
margin:3.2rem;
}
#g-nav .title .line{
 font-family: "vdl-penletter", sans-serif;
 font-style: normal;
 font-weight: 500;
 color: #826841;
 font-size: 1.6rem;
 line-height: 2rem;
 padding: 0;
 text-align: center;
}
@media screen and (max-width: 1024.9px){
 #g-nav li{
  padding-left: 3rem;
 }
 #g-nav .title img{
  max-width:400px;
  margin:1.6rem;
  }
}
@media screen and (max-width: 767.9px){
 .g-nav-flex{
  width:100%;
  margin-top:10%;
  display: block;
  flex-direction: row-reverse;
  justify-content: center;
 }
 #g-nav li{
  text-align: left; 
  list-style: none;
  align-self: stretch;
  line-height: 4rem;
  padding-left: 15%;
  font-size: 1.8rem;
  text-decoration: none;
  text-transform: uppercase;
  letter-spacing: 0.1em;
  font-weight: bold;
  display: block;
 }

 #g-nav .title h2 {
  margin-top:4.8rem;
  font-size: 4rem;
  line-height: 4.5rem;
 }
 #g-nav .title img{
  max-width:300px;
  margin:1.6rem;
  }
}

/*========= ボタンのためのCSS ===============*/
.openbtn1{
  position:fixed;
  top:30px;
  right: 40px;
  z-index: 9999;/*ボタンを最前面に*/
  cursor: pointer;
    width: 50px;
    height:50px;
   background: #fff;
   border-radius: 50%;
   box-shadow: rgba(0, 0, 0, 0.24) 0px 3px 8px;

 }
 @media screen and (max-width: 767px){
  .openbtn1{
   top:20px;
   right: 20px;
  }
 }

 /*×に変化*/  
.openbtn1 span{
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 12px;
    height: 1px;
    border-radius: 2px;
  background-color: #826841;
    width: 55%;
  }

.openbtn1 span:nth-of-type(1) {
  top:15px; 
}

.openbtn1 span:nth-of-type(2) {
  top:23px;
}

.openbtn1 span:nth-of-type(3) {
  top:31px;
}

.openbtn1.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
}

.openbtn1.active span:nth-of-type(2) {
  opacity: 0;
}

.openbtn1.active span:nth-of-type(3){
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
}


